Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml.find_attribute_node

`mvpa2.support.nibabel.afni_niml.``find_attribute_node`(niml_dict, key, value, just_one=True)

  Finds a NIML node that matches a particular key and value

  Parameters:

  niml_dict: dict

  > NIML dictionary in which the node is to be found

  key: str

  > Key for a node that is to be found

  value: str

  > Value associated with key that is to be found

  just_one: boolean (default: True)

  > Indicates whether exactly one matching node is to be found.

  Returns:

  nd: dict or list.

  > NIML dictionary matching key and value. If just_one is True then, if a single node is found, it returns a dict containing that node; otherwise an exception is raised. If just_one is False then the output is a list with matching nodes; this list is empty if no matching nodes were found.